<ion-header>
  <ion-toolbar>
    <ion-title>Login</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-row>
    <div class="logo">
      <img src="../../assets/logo.png">
    </div>
  </ion-row>
  <ion-list lines="full">
    <ion-item>
      <ion-label position="floating">Email</ion-label>
      <ion-input [(ngModel)]="email" type="text"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="floating">Password</ion-label>
      <ion-input [(ngModel)]="password" type="password"></ion-input>
    </ion-item>
    <ion-row>
      <ion-col>
        <ion-button type="button" (click)="verifyUser()" color="primary" shape="full" expand="block">
          Login
        </ion-button>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-button type="button" [routerLink] = "['/register']" color="primary" shape="full" expand="block" required>Register</ion-button>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-button type="button" [routerLink] = "['/home']" color="primary" shape="full" expand="block" required>Home</ion-button>
      </ion-col>
    </ion-row>
  </ion-list>
  <ion-list>
    <ion-item lines="inset" *ngFor="let users of user">
      <ion-label>
        <h5>{{users.name}} - ({{users.email}}, {{users.password}})</h5>
      </ion-label>
  
      <div class="item-note">
          <ion-icon name="create" style="zoom: 2.0;"></ion-icon>
          <ion-icon name="trash" style="zoom: 2.0;"></ion-icon>
      </div>
    </ion-item>
  </ion-list>
</ion-content>
